﻿// ====================================================================
// let there be light
// ====================================================================

textures/ut4_brusnik_b1/sky
{
	qer_editorImage env/ut4_brusnik_b1/brusnik_up
	q3map_noFog // wots this
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight // hm?
	noPicMip
	noMipMaps

	q3map_lightsubdivide 768
	q3map_backsplash 0 0
//	q3map_sunExt red green blue		intensity	degrees elevation	deviance samples
	q3map_sunExt 1 1 0.8		480		0 16	1 16

	skyparms env/ut4_brusnik_b1/brusnik - -
}



// ====================================================================
// sea
// ====================================================================

textures/ut4_brusnik_b1/seawater
{
	qer_editorImage textures/ut4_brusnik_b1/seawater
	qer_trans 0.8
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
//	cull none
	q3map_tessSize 256
	deformvertexes wave		384		sin		0		24			0		0.1
	{
		map textures/ut4_brusnik_b1/seawater.tga
		tcMod turb 0.2 0.1 0 .2
	}
}

// fake fog on the horizon
textures/ut4_brusnik_b1/seawater-skybox
{
	qer_editorImage textures/ut4_brusnik_b1/light-blue-circle-qer
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_tessSize 32
	deformvertexes wave		384		sin		0		24			0		0.1
	{
		map textures/ut4_brusnik_b1/seawater.tga
		tcMod scale 64 64
		tcMod turb 0.2 0.1 1 .2
	}
	{
		map textures/ut4_brusnik_b1/light-blue-circle.tga
		blendFunc GL_src_alpha GL_one_minus_src_alpha
	}
}

// foam around the shore, alpha blended with normal water
textures/ut4_brusnik_b1/foam-water
{
	qer_editorImage textures/ut4_brusnik_b1/foam-water
	qer_trans 0.8
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	q3map_tessSize 256
	deformvertexes wave		384		sin		0		24			0		0.1
	{
		map textures/ut4_brusnik_b1/seawater.tga
		tcMod turb 0.2 0.1 0 .2
	}
	{
		map textures/ut4_brusnik_b1/foam.tga
		tcMod turb 0.2 0.1 0 .2
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
}



// ====================================================================
// phong shaded terrain
// ====================================================================

textures/ut4_brusnik_b1/rock
{
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm rock
	{
		map textures/ut4_brusnik_b1/rock.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_brusnik_b1/gravel
{
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm gravel
	{
		map textures/ut4_brusnik_b1/gravel.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_brusnik_b1/grass
{
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm grass
	{
		map textures/ut4_brusnik_b1/grass.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_brusnik_b1/rock-wet
{
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm rock
	{
		map textures/ut4_brusnik_b1/rock-wet.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_brusnik_b1/gravel-wet
{
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm gravel
	{
		map textures/ut4_brusnik_b1/gravel-wet.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}



// ====================================================================
// alpha blended terrain
// ====================================================================

textures/ut4_brusnik_b1/gravel-rock
{
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm gravel
	{
		map textures/ut4_brusnik_b1/rock.tga
	}
	{
		map textures/ut4_brusnik_b1/gravel.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_brusnik_b1/grass-rock
{
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm grass
	{
		map textures/ut4_brusnik_b1/rock.tga
	}
	{
		map textures/ut4_brusnik_b1/grass.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_brusnik_b1/rock-wet-rock
{
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm rock
	{
		map textures/ut4_brusnik_b1/rock.tga
	}
	{
		map textures/ut4_brusnik_b1/rock-wet.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_brusnik_b1/gravel-wet-gravel
{
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm gravel
	{
		map textures/ut4_brusnik_b1/gravel.tga
	}
	{
		map textures/ut4_brusnik_b1/gravel-wet.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_brusnik_b1/gravel-wet-rock-wet
{
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm gravel
	{
		map textures/ut4_brusnik_b1/rock-wet.tga
	}
	{
		map textures/ut4_brusnik_b1/gravel-wet.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_brusnik_b1/alpha-0
{
	qer_trans 0.6
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
}



// ====================================================================
// fixes for two spots where three or four blended terrains meet
// ====================================================================

textures/ut4_brusnik_b1/left-blend-fix
{
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm gravel
	{
		map textures/ut4_brusnik_b1/left-blend-fix.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_brusnik_b1/right-blend-fix
{
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm gravel
	{
		map textures/ut4_brusnik_b1/right-blend-fix.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}



// ====================================================================
// all hail the mighty puddle
// ====================================================================

textures/ut4_brusnik_b1/reflection
{
	qer_editorImage textures/ut4_brusnik_b1/reflection
//	qer_trans 0.4
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm water
	{
		map textures/ut4_brusnik_b1/reflection.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

// cut out to match the shape of the puddle border, see the next shader
textures/ut4_brusnik_b1/puddle
{
	qer_editorImage textures/ut4_brusnik_b1/puddle
//	qer_trans 0.4
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm water
	{
		map textures/ut4_brusnik_b1/puddle.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	}
}

textures/ut4_brusnik_b1/puddle-bottom
{
	q3map_nonplanar
	q3map_shadeangle 180
	surfaceparm gravel
	{
		map textures/ut4_brusnik_b1/puddle-bottom.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}



// ====================================================================
// decals (native bombspots aren't visible for some reason)
// ====================================================================

textures/ut4_brusnik_b1/bomb-spot-red
{
	qer_editorImage textures/ut4_brusnik_b1/bomb-spot-bonapartist
	qer_trans 0.6
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	polygonOffset
	{
		map textures/ut4_brusnik_b1/bomb-spot-bonapartist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	}
}

textures/ut4_brusnik_b1/bomb-spot-black
{
	qer_editorImage textures/ut4_brusnik_b1/bomb-spot-anarchist
	qer_trans 0.6
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	polygonOffset
	{
		map textures/ut4_brusnik_b1/bomb-spot-anarchist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	}
}



// ====================================================================
// no idea what these are tbh, bloody Croats hacked my editor
// ====================================================================

textures/ut4_brusnik_b1/aimme
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	{
		map textures/ut4_brusnik_b1/aimme.tga
		alphaFunc GE128
	}
}

textures/ut4_brusnik_b1/cookie
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	{
		map textures/ut4_brusnik_b1/cookie.tga
	}
}

textures/ut4_brusnik_b1/moon
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	{
		map textures/ut4_brusnik_b1/moon.tga
	}
}

textures/ut4_brusnik_b1/natirips
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	{
		map textures/ut4_brusnik_b1/natirips.tga
	}
}
